Page MenuHomePhabricator

Exposing findDefsUsedOutsideOfLoop as a Loop utility
ClosedPublic

Authored by ashutosh.nema on Aug 16 2015, 8:51 PM.

Details

Reviewers
anemet
Summary

In this patch exposed ‘findDefsUsedOutsideOfLoop’ as a utility.

Found ‘findDefsUsedOutsideOfLoop’ is a common method and it should be moved as a utility.
It’s useful for the users of LoopVersioning.

Thanks,
Ashutosh

Diff Detail

Repository
rL LLVM

Event Timeline

ashutosh.nema retitled this revision from to Exposing findDefsUsedOutsideOfLoop as a Loop utility.
ashutosh.nema updated this object.
ashutosh.nema added a reviewer: anemet.
ashutosh.nema set the repository for this revision to rL LLVM.
ashutosh.nema added a subscriber: llvm-commits.
anemet edited edge metadata.Aug 18 2015, 11:18 AM

Hi Ashutosh,

Thanks for improving this.

include/llvm/Transforms/Utils/LoopUtils.h
285–286

Nit: I don't think this second line is necessary to describe the API, I would drop it.

lib/Transforms/Scalar/LoopDistribute.cpp
60–78

You also need to move this to LoopUtils.cpp.

anemet accepted this revision.Aug 18 2015, 11:21 AM
anemet edited edge metadata.

Should be OK to commit after these changes. Thanks again.

This revision is now accepted and ready to land.Aug 18 2015, 11:21 AM

Thanks Adam, will incorporate these comments and check-in.

Regards,
Ashutosh

Ashutosh, please don't forget to close this with the commit revision.

ashutosh.nema closed this revision.Aug 20 2015, 9:21 PM

Revision: 245416